Summary:        Albert keyboard launcher
Name:           albert
Version:        0.16.1
Release:        230.2
Source:         albert-%{version}.tar.gz
License:        GPL
Group:          User Interface/X
URL:            https://github.com/albertlauncher/albert
Packager:       Manuel Schneider
BuildRequires:  cmake
BuildRequires:  gcc-c++ >= 5
BuildRequires:  hicolor-icon-theme
BuildRequires:  qt5-qtbase-devel >= 5.5
BuildRequires:  qt5-qtcharts-devel >= 5.6
BuildRequires:  qt5-qtdeclarative-devel >= 5.5
BuildRequires:  qt5-qtx11extras-devel >= 5.5
BuildRequires:  qt5-qtsvg-devel >= 5.5
BuildRequires:  python3-devel
BuildRequires:  muParser-devel
BuildRoot:      %{_tmppath}/%{name}-v%{version}-build

%description
Albert is a unified and efficient access to your machine. Technically it is a keyboard launcher written in C++/Qt. The plugin based architecture makes it extremely flexible and powerful. Plugins can be used to create modular frontends or native extensions. Extensions can also be implemented using embedded Python modules or via a CGI approach in any language you want. The frontends shipped heavily focus on customizability.

%prep
%autosetup -n %{name}-%{version}

%build
%cmake
make %{?_smp_mflags}

#%define  debug_package %{nil}

%install
%make_install
exit 0  # Dont compile python

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop

%changelog

* Fri Oct 27 2017 Manuel Schneider <manuelschneid3r@gmail.com>

- Albert Upstream
